summaryrefslogtreecommitdiff
path: root/dev-qt/qtconnectivity
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-qt/qtconnectivity
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-qt/qtconnectivity')
-rw-r--r--dev-qt/qtconnectivity/Manifest2
-rw-r--r--dev-qt/qtconnectivity/metadata.xml22
-rw-r--r--dev-qt/qtconnectivity/qtconnectivity-6.10.3.ebuild85
-rw-r--r--dev-qt/qtconnectivity/qtconnectivity-6.11.1.ebuild87
-rw-r--r--dev-qt/qtconnectivity/qtconnectivity-6.11.9999.ebuild87
-rw-r--r--dev-qt/qtconnectivity/qtconnectivity-6.12.9999.ebuild87
-rw-r--r--dev-qt/qtconnectivity/qtconnectivity-6.9999.ebuild87
7 files changed, 457 insertions, 0 deletions
diff --git a/dev-qt/qtconnectivity/Manifest b/dev-qt/qtconnectivity/Manifest
new file mode 100644
index 000000000000..c720d0f32f33
--- /dev/null
+++ b/dev-qt/qtconnectivity/Manifest
@@ -0,0 +1,2 @@
+DIST qtconnectivity-everywhere-src-6.10.3.tar.xz 1058084 BLAKE2B adc32d447b8b2d6c37e24db1e0a4f588d742ef570d6916f32bc04cb980334d21b0f92e19204be3df41439a714302b4f8a5942fac18fba9099e58006fd81ff79a SHA512 d9aabaf72a3e3af845129f45eeb9df855ac525f038d3240aaac66fe6ad37b83931cc1206ba3b92bf7192ef855e0c3d088335dffe7ee785c0e4680d53c38c2e31
+DIST qtconnectivity-everywhere-src-6.11.1.tar.xz 1059432 BLAKE2B 4d2754326b6c0d5d62b77c80cbc849f2a693ffaf531e432c21aea66258361f0f2dee0a1b359bc8ec67738082515db06fe20953d0c3ab09ff6e8a33606de10778 SHA512 841f2eb4286dc75a0a61556d0f61e2df8967523d8e05f5d7a050b9452efafa13387e83af2f0eaaf28365c255e918f8eb5cca3b660e8a0a26932646a95440f61f
diff --git a/dev-qt/qtconnectivity/metadata.xml b/dev-qt/qtconnectivity/metadata.xml
new file mode 100644
index 000000000000..60708fff1d39
--- /dev/null
+++ b/dev-qt/qtconnectivity/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>qt@gentoo.org</email>
+ <name>Gentoo Qt Project</name>
+ </maintainer>
+ <use>
+ <flag name="neard">Use <pkg>net-wireless/neard</pkg> to access NFC devices</flag>
+ <flag name="nfc">Enable support for the Near Field Communication protocol</flag>
+ </use>
+ <upstream>
+ <bugs-to>https://qt-project.atlassian.net/</bugs-to>
+ <doc>https://doc.qt.io/</doc>
+ <remote-id type="github">qt/qtconnectivity</remote-id>
+ </upstream>
+ <slots>
+ <subslots>
+ Must only be used by packages that are known to use private parts of the Qt API.
+ </subslots>
+ </slots>
+</pkgmetadata>
diff --git a/dev-qt/qtconnectivity/qtconnectivity-6.10.3.ebuild b/dev-qt/qtconnectivity/qtconnectivity-6.10.3.ebuild
new file mode 100644
index 000000000000..abeeaade1a32
--- /dev/null
+++ b/dev-qt/qtconnectivity/qtconnectivity-6.10.3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Bluetooth and NFC support library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv x86"
+fi
+
+IUSE="+bluetooth neard nfc smartcard"
+REQUIRED_USE="
+ || ( bluetooth nfc )
+ nfc? ( ?? ( neard smartcard ) )
+"
+
+DEPEND="
+ ~dev-qt/qtbase-${PV}:6
+ bluetooth? (
+ ~dev-qt/qtbase-${PV}:6[dbus,network]
+ net-wireless/bluez:=
+ )
+ nfc? (
+ neard? ( ~dev-qt/qtbase-${PV}:6[dbus] )
+ smartcard? ( sys-apps/pcsc-lite )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ nfc? (
+ neard? ( net-wireless/neard )
+ )
+"
+
+CMAKE_SKIP_TESTS=(
+ # most hardware tests are auto-skipped, but some still misbehave
+ # if bluez/hardware is available (generally tests here may not be
+ # very relevant without hardware, lists may need to be extended)
+ tst_qbluetoothdevicediscoveryagent #936485
+ tst_qbluetoothlocaldevice
+ tst_qbluetoothserver
+ tst_qbluetoothservicediscoveryagent
+ tst_qbluetoothserviceinfo
+ tst_qlowenergycontroller
+)
+
+src_prepare() {
+ qt6-build_src_prepare
+
+ use bluetooth ||
+ sed -i '/add_subdirectory(bluetooth)/d' src/CMakeLists.txt || die
+ use nfc ||
+ sed -i '/add_subdirectory(nfc)/d' src/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(usev nfc "
+ $(qt_feature neard)
+ $(qt_feature smartcard pcsclite)
+ ")
+ )
+
+ qt6-build_src_configure
+}
+
+src_install() {
+ qt6-build_src_install
+
+ # broken (unnecessary) symlink due to add_app() being used over add_tool()
+ use !bluetooth || rm -- "${ED}"/usr/bin/sdpscanner6 || die
+
+ if use test; then
+ local delete=( # sigh
+ "${D}${QT6_BINDIR}"/bluetoothtestdevice
+ "${D}${QT6_BINDIR}"/bttestui
+ "${D}${QT6_BINDIR}"/qlecontroller-server
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -f -- "${delete[@]}" || die
+ fi
+}
diff --git a/dev-qt/qtconnectivity/qtconnectivity-6.11.1.ebuild b/dev-qt/qtconnectivity/qtconnectivity-6.11.1.ebuild
new file mode 100644
index 000000000000..79709c841225
--- /dev/null
+++ b/dev-qt/qtconnectivity/qtconnectivity-6.11.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Bluetooth and NFC support library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+IUSE="+bluetooth neard nfc smartcard"
+REQUIRED_USE="
+ || ( bluetooth nfc )
+ nfc? ( ?? ( neard smartcard ) )
+"
+
+DEPEND="
+ ~dev-qt/qtbase-${PV}:6
+ bluetooth? (
+ ~dev-qt/qtbase-${PV}:6[dbus,network]
+ net-wireless/bluez:=
+ )
+ nfc? (
+ neard? ( ~dev-qt/qtbase-${PV}:6[dbus] )
+ smartcard? ( sys-apps/pcsc-lite )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ nfc? (
+ neard? ( net-wireless/neard )
+ )
+"
+
+CMAKE_SKIP_TESTS=(
+ # most hardware tests are auto-skipped, but some still misbehave
+ # if bluez/hardware is available (generally tests here may not be
+ # very relevant without hardware, lists may need to be extended)
+ tst_qbluetoothdevicediscoveryagent #936485
+ tst_qbluetoothlocaldevice
+ tst_qbluetoothserver
+ tst_qbluetoothservicediscoveryagent
+ tst_qbluetoothserviceinfo
+ tst_qlowenergycharacteristic #976294
+ tst_qlowenergycontroller
+ tst_qlowenergydescriptor #976294
+)
+
+src_prepare() {
+ qt6-build_src_prepare
+
+ use bluetooth ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt bluetooth
+ use nfc ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt nfc
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(usev nfc "
+ $(qt_feature neard)
+ $(qt_feature smartcard pcsclite)
+ ")
+ )
+
+ qt6-build_src_configure
+}
+
+src_install() {
+ qt6-build_src_install
+
+ # broken (unnecessary) symlink due to add_app() being used over add_tool()
+ use !bluetooth || rm -- "${ED}"/usr/bin/sdpscanner6 || die
+
+ if use test; then
+ local delete=( # sigh
+ "${D}${QT6_BINDIR}"/bluetoothtestdevice
+ "${D}${QT6_BINDIR}"/bttestui
+ "${D}${QT6_BINDIR}"/qlecontroller-server
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -f -- "${delete[@]}" || die
+ fi
+}
diff --git a/dev-qt/qtconnectivity/qtconnectivity-6.11.9999.ebuild b/dev-qt/qtconnectivity/qtconnectivity-6.11.9999.ebuild
new file mode 100644
index 000000000000..79709c841225
--- /dev/null
+++ b/dev-qt/qtconnectivity/qtconnectivity-6.11.9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Bluetooth and NFC support library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+IUSE="+bluetooth neard nfc smartcard"
+REQUIRED_USE="
+ || ( bluetooth nfc )
+ nfc? ( ?? ( neard smartcard ) )
+"
+
+DEPEND="
+ ~dev-qt/qtbase-${PV}:6
+ bluetooth? (
+ ~dev-qt/qtbase-${PV}:6[dbus,network]
+ net-wireless/bluez:=
+ )
+ nfc? (
+ neard? ( ~dev-qt/qtbase-${PV}:6[dbus] )
+ smartcard? ( sys-apps/pcsc-lite )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ nfc? (
+ neard? ( net-wireless/neard )
+ )
+"
+
+CMAKE_SKIP_TESTS=(
+ # most hardware tests are auto-skipped, but some still misbehave
+ # if bluez/hardware is available (generally tests here may not be
+ # very relevant without hardware, lists may need to be extended)
+ tst_qbluetoothdevicediscoveryagent #936485
+ tst_qbluetoothlocaldevice
+ tst_qbluetoothserver
+ tst_qbluetoothservicediscoveryagent
+ tst_qbluetoothserviceinfo
+ tst_qlowenergycharacteristic #976294
+ tst_qlowenergycontroller
+ tst_qlowenergydescriptor #976294
+)
+
+src_prepare() {
+ qt6-build_src_prepare
+
+ use bluetooth ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt bluetooth
+ use nfc ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt nfc
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(usev nfc "
+ $(qt_feature neard)
+ $(qt_feature smartcard pcsclite)
+ ")
+ )
+
+ qt6-build_src_configure
+}
+
+src_install() {
+ qt6-build_src_install
+
+ # broken (unnecessary) symlink due to add_app() being used over add_tool()
+ use !bluetooth || rm -- "${ED}"/usr/bin/sdpscanner6 || die
+
+ if use test; then
+ local delete=( # sigh
+ "${D}${QT6_BINDIR}"/bluetoothtestdevice
+ "${D}${QT6_BINDIR}"/bttestui
+ "${D}${QT6_BINDIR}"/qlecontroller-server
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -f -- "${delete[@]}" || die
+ fi
+}
diff --git a/dev-qt/qtconnectivity/qtconnectivity-6.12.9999.ebuild b/dev-qt/qtconnectivity/qtconnectivity-6.12.9999.ebuild
new file mode 100644
index 000000000000..79709c841225
--- /dev/null
+++ b/dev-qt/qtconnectivity/qtconnectivity-6.12.9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Bluetooth and NFC support library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+IUSE="+bluetooth neard nfc smartcard"
+REQUIRED_USE="
+ || ( bluetooth nfc )
+ nfc? ( ?? ( neard smartcard ) )
+"
+
+DEPEND="
+ ~dev-qt/qtbase-${PV}:6
+ bluetooth? (
+ ~dev-qt/qtbase-${PV}:6[dbus,network]
+ net-wireless/bluez:=
+ )
+ nfc? (
+ neard? ( ~dev-qt/qtbase-${PV}:6[dbus] )
+ smartcard? ( sys-apps/pcsc-lite )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ nfc? (
+ neard? ( net-wireless/neard )
+ )
+"
+
+CMAKE_SKIP_TESTS=(
+ # most hardware tests are auto-skipped, but some still misbehave
+ # if bluez/hardware is available (generally tests here may not be
+ # very relevant without hardware, lists may need to be extended)
+ tst_qbluetoothdevicediscoveryagent #936485
+ tst_qbluetoothlocaldevice
+ tst_qbluetoothserver
+ tst_qbluetoothservicediscoveryagent
+ tst_qbluetoothserviceinfo
+ tst_qlowenergycharacteristic #976294
+ tst_qlowenergycontroller
+ tst_qlowenergydescriptor #976294
+)
+
+src_prepare() {
+ qt6-build_src_prepare
+
+ use bluetooth ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt bluetooth
+ use nfc ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt nfc
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(usev nfc "
+ $(qt_feature neard)
+ $(qt_feature smartcard pcsclite)
+ ")
+ )
+
+ qt6-build_src_configure
+}
+
+src_install() {
+ qt6-build_src_install
+
+ # broken (unnecessary) symlink due to add_app() being used over add_tool()
+ use !bluetooth || rm -- "${ED}"/usr/bin/sdpscanner6 || die
+
+ if use test; then
+ local delete=( # sigh
+ "${D}${QT6_BINDIR}"/bluetoothtestdevice
+ "${D}${QT6_BINDIR}"/bttestui
+ "${D}${QT6_BINDIR}"/qlecontroller-server
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -f -- "${delete[@]}" || die
+ fi
+}
diff --git a/dev-qt/qtconnectivity/qtconnectivity-6.9999.ebuild b/dev-qt/qtconnectivity/qtconnectivity-6.9999.ebuild
new file mode 100644
index 000000000000..79709c841225
--- /dev/null
+++ b/dev-qt/qtconnectivity/qtconnectivity-6.9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Bluetooth and NFC support library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+IUSE="+bluetooth neard nfc smartcard"
+REQUIRED_USE="
+ || ( bluetooth nfc )
+ nfc? ( ?? ( neard smartcard ) )
+"
+
+DEPEND="
+ ~dev-qt/qtbase-${PV}:6
+ bluetooth? (
+ ~dev-qt/qtbase-${PV}:6[dbus,network]
+ net-wireless/bluez:=
+ )
+ nfc? (
+ neard? ( ~dev-qt/qtbase-${PV}:6[dbus] )
+ smartcard? ( sys-apps/pcsc-lite )
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ nfc? (
+ neard? ( net-wireless/neard )
+ )
+"
+
+CMAKE_SKIP_TESTS=(
+ # most hardware tests are auto-skipped, but some still misbehave
+ # if bluez/hardware is available (generally tests here may not be
+ # very relevant without hardware, lists may need to be extended)
+ tst_qbluetoothdevicediscoveryagent #936485
+ tst_qbluetoothlocaldevice
+ tst_qbluetoothserver
+ tst_qbluetoothservicediscoveryagent
+ tst_qbluetoothserviceinfo
+ tst_qlowenergycharacteristic #976294
+ tst_qlowenergycontroller
+ tst_qlowenergydescriptor #976294
+)
+
+src_prepare() {
+ qt6-build_src_prepare
+
+ use bluetooth ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt bluetooth
+ use nfc ||
+ cmake_comment_add_subdirectory -f src/CMakeLists.txt nfc
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(usev nfc "
+ $(qt_feature neard)
+ $(qt_feature smartcard pcsclite)
+ ")
+ )
+
+ qt6-build_src_configure
+}
+
+src_install() {
+ qt6-build_src_install
+
+ # broken (unnecessary) symlink due to add_app() being used over add_tool()
+ use !bluetooth || rm -- "${ED}"/usr/bin/sdpscanner6 || die
+
+ if use test; then
+ local delete=( # sigh
+ "${D}${QT6_BINDIR}"/bluetoothtestdevice
+ "${D}${QT6_BINDIR}"/bttestui
+ "${D}${QT6_BINDIR}"/qlecontroller-server
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -f -- "${delete[@]}" || die
+ fi
+}